 
;PRNTR.ASM 11/2/83 MARK M. AALDERING
;GEMINI 10X/15X INITIALIZATION FOR CP/M SYSTEMS
;WRITTEN FOR THE CP/M 8080 ASM.COM ASSEMBLER
      org 0100h
CLEAR EQU 26
PBUFF EQU 9
BDOS  EQU 5
CR    EQU 0dh
LF    EQU 0ah
EF    EQU 0FFh  	
LMENU	LXI D,MENU
	CALL PRINT
	MVI C,1
	CALL BDOS
	CPI 41H
	JZ PT1
	CPI 42H
	JZ PT2
	CPI 43H
	JZ PT3
	CPI 44H
	JZ PT4
	CPI 45H
	JZ PT5
	CPI 4EH
	JZ PT6
	CPI 49H
	JZ PT7
	CPI 53H
	JZ PT8
	CPI 50H
	JZ PT9
	CPI 52H
	JZ PTA
	CPI 4CH
	JZ PTB
	CPI 55H
	JZ PTC
	CPI 58H
	JZ PTX
	JMP LMENU
PT1	LXI H,PLINE1
	CALL LPRINT
	JMP LMENU
PT2	LXI H, PLINE2
	CALL LPRINT
	JMP LMENU
PT3	LXI H, PLINE3
	CALL LPRINT
	JMP LMENU
PT4	LXI H, PLINE4
	CALL LPRINT
	JMP LMENU
PT5	LXI H,PLINE5
	CALL LPRINT
	JMP LMENU
PT6	LXI H, PLINE6
	CALL LPRINT
	JMP LMENU
ŠPT7	LXI H, PLINE7
	CALL LPRINT
	JMP LMENU
PT8	LXI H,PLINE8
	CALL LPRINT
	JMP LMENU
PT9	LXI H, PLINE9
	CALL LPRINT
	JMP LMENU
PTA	LXI H, PLINEA
	CALL LPRINT
	JMP LMENU
PTB	LXI D,LM
	CALL PRINT
	MVI C,1
	CALL BDOS
	PUSH A
	LXI H,PLINEB
	CALL LPRINT
	POP A
	SUI 30H
	MOV E,A
	MVI C,5
	CALL BDOS
	JMP LMENU
PTC	LXI H,PLINEC
	CALL LPRINT
	JMP LMENU
PTX	MVI E,CLEAR
	MVI C,2
	CALL BDOS
	RET
LPRINT	MOV A,M
	CPI 0FFh
	RZ
	MOV E,M
	MVI C,5
	INX H
	PUSH H
	CALL BDOS
	POP H
	JMP LPRINT	
PRINT MVI C,PBUFF
      JMP BDOS
MENU:   db	CLEAR,CR,LF,LF,'GEMINI INITIALIZATION - MARK AALDERING 11/83'
	db      CR,LF,LF,2,'SELECT DESIRED OPTION:',CR,LF,LF
	db	2,'A .. STANDARD 10 CPI',CR,LF
	db	2,'B .. ELITE 12 CPI',CR,LF
	db	2,'C .. CONDENSED 17 CPI',CR,LF
	db	2,'D .. DISREGARD PAPER OUT SIGNAL',CR,LF
	db	2,'E .. ENLARGED MODE',CR,LF
	db	2,'N .. NORMAL SIZE MODE',CR,LF
	db	2,'L .. LEFT MARGIN SELECT',CR,LF
	db	2,'I .. ITALIC FONT',CR,LF
	db	2,'S .. STANDARD FONT',CR,LF
	db	2,'P .. PERFORATION SKIP',CR,LF
	db	2,'R .. REGARD PAPER-OUT SIGNAL',CR,LF
	db	4,'U .. USE ALTERNATE DESCENDER SET',CR,LF
	db	2,'X .. END SELECTION PROCESS',CR,LF,'$'
LM:	db	CR,LF,LF,'MARGIN = ? ','$'
PLINE1:	db 18,EF
PLINE2: db 27,66,2,EF
PLINE3:	db 15,EF
PLINE4:	db 27,56,EF
PLINE5:	db 27,87,1,EF
PLINE6:	db 27,87,0,EF
PLINE7:	db 27,52,EF
PLINE8: db 27,53,EF
PLINE9: db 27,78,6,EF
PLINEA: db 27,57,EF
PLINEB: db 27,77,EF
PLINEC: db 27,42,0
	db 27,42,1,112,1,127,0,9,0,9,0,9,6,0
	db 27,42,1,113,1,6,9,0,9,0,9,0,127,0
	db 27,42,1,44,1,0,64,44,0,28,0,0,0,0
	db 27,42,1,59,1,0,91,0,123,0,0,0,0,0
	db 27,42,1,106,1,48,64,1,64,1,64,63,0,1
	db 27,42,1,103,1,6,9,64,9,64,9,64,63,0
	db 27,36,1,EF
END
